KDE 4.7 PyKDE API Reference

- KDE's Python API

# Context Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

## Signals
| activityChanged (Plasma.Context context)
| changed (Plasma.Context context)
| locationChanged (Plasma.Context context)
## Methods
| __init__ (self, QObject parent=0)
| createActivity (self, QString name)
QString | currentActivity (self)
QString | currentActivityId (self)
QStringList | listActivities (self)
| setCurrentActivity (self, QString name)
| setCurrentActivityId (self, QString id)

## Signal Documentation

activityChanged | ( | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("activityChanged(Plasma::Context*)"), target_slot)`

changed | ( | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("changed(Plasma::Context*)"), target_slot)`

locationChanged | ( | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("locationChanged(Plasma::Context*)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

createActivity | ( | self, |
|  | QString | name
| ) |  |  |

QString currentActivity | ( |  | self ) |

QString currentActivityId | ( |  | self ) |

QStringList listActivities | ( |  | self ) |

setCurrentActivity | ( | self, |
|  | QString | name
| ) |  |  |

setCurrentActivityId | ( | self, |
|  | QString | id
| ) |  |  |